---
search:
  tags:
    - customers
    - GET
seo:
  description: >-
    Get customer import. Reference for the GET
    /workspaces/{organizationId}/customer-imports/{id} endpoint in the Pile API.
sidebar:
  label: Get customer import
  badge: GET
title: Get customer import
type: openapi-operation
---
`GET /workspaces/{organizationId}/customer-imports/{id}`

**Responses**

- `200` — Import receipt with per-row outcomes
- `404` — Import receipt not found

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "source": "string",
  "corridor": "string",
  "total": 0,
  "created": 0,
  "existing": 0,
  "failed": 0,
  "createdById": "string",
  "createdAt": "string",
  "rows": [
    {
      "index": 0,
      "externalId": "string",
      "outcome": "created",
      "customerId": "string",
      "dealId": "string",
      "error": "string"
    }
  ]
}
```
